%global debug_package %{nil}

Summary:       Convert a physical machine to run on KVM
Name:          virt-p2v
Version:       1.42.3
Release:       3%{?dist}
License:       GPLv2+
URL:           http://libguestfs.org/
Source0:       http://download.libguestfs.org/%{name}/%{name}-%{version}.tar.gz


ExclusiveArch: x86_64
BuildRequires: gcc make m4
BuildRequires: perl(Pod::Simple) perl(Pod::Man) perl(List::MoreUtils)
BuildRequires: /usr/bin/pod2text xz bash-completion
BuildRequires: libxml2-devel pcre2-devel gtk3-devel dbus-devel
# Test
BuildRequires: nbdkit
Requires:      gawk gzip binutils
Requires:      guestfs-tools


%description
Virt-p2v converts (virtualizes) physical machines so they can be run as
virtual machines under KVM.

This package contains the tools needed to make a virt-p2v boot CD or USB key
which is booted on the physical machine to perform the conversion. 
You also need virt-v2v installed somewhere else to complete the conversion.

To convert virtual machines from other hypervisors, see virt-v2v.


%prep
%autosetup -p1


%build
%configure
%make_build


%check
if ! make check; then
    cat test-suite.log
    exit 1
fi


%install
%make_install
rm %{buildroot}%{_mandir}/man1/p2v-building.1*
rm %{buildroot}%{_mandir}/man1/p2v-hacking.1*
rm %{buildroot}%{_mandir}/man1/p2v-release-notes.1*


%files
%license COPYING
%doc README
%{_bindir}/virt-p2v-make-disk
%{_bindir}/virt-p2v-make-kickstart
%{_bindir}/virt-p2v-make-kiwi
%{_libdir}/virt-p2v
%{_datadir}/bash-completion/completions/virt-*
%{_datadir}/virt-p2v
%{_mandir}/man1/virt-p2v-make-disk.1*
%{_mandir}/man1/virt-p2v-make-kickstart.1*
%{_mandir}/man1/virt-p2v-make-kiwi.1*
%{_mandir}/man1/virt-p2v.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.42.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.42.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 rockerzhu <rockerzhu@tencent.com> - 1.42.3-1
- Initial build
